commit 856c426a753450b8c6861a5b994a564f4fc16d4b
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Feb 3 12:41:23 2026 +0100

    Don't include <bits/openat2.h> directly (bug 33848)
    
    Headers from bits directories should never be included directly, only via
    the official headers.
    
    (cherry picked from commit 0e47414ce87f3b088ff454fc6c7d1129ff9617ec)

diff --git a/NEWS b/NEWS
index b9953e9888..1f07633e57 100644
--- a/NEWS
+++ b/NEWS
@@ -11,6 +11,8 @@ The following bugs are resolved with this release:
 
  [33623] [ldbl-128ibm] roundl, ceill, truncl, floorl bad sign of zero
    results
+ [33848] build: Build fails at openat2.h, redefinition of 'struct
+    open_how'
 
 Version 2.43
 
diff --git a/sysdeps/unix/sysv/linux/openat2.c b/sysdeps/unix/sysv/linux/openat2.c
index 7587dd577a..ac7b70584e 100644
--- a/sysdeps/unix/sysv/linux/openat2.c
+++ b/sysdeps/unix/sysv/linux/openat2.c
@@ -17,7 +17,6 @@
    <https://www.gnu.org/licenses/>.  */
 
 #include <fcntl.h>
-#include <bits/openat2.h>
 #include <sysdep-cancel.h>
 
 int

